const http = require('http')
const fs = require ('fs')
const hostname = '127.0.0.1'
const port = 3000
const path = 'counter.txt'

const server = http.createServer((req, res) => {
 fs.readFile(path, 'utf8', (err, data) => {
  if (err) {
    console.error('Error reading the file:', err)
    res.statusCode = 500;
    res.end('Server error');
    return  
  }
  let counter = parseInt(data, 10);
  counter += 1;

  fs.writeFile(path, counter.toString(), (err) => {
    if (err) {
        console.error('Error writing to the file:', err);
        res.statusCode = 500;
        res.end('Server error');
        return;
    }

    res.statusCode = 200;
    res.setHeader('Content-Type', 'text/plain');
    res.end(`Request counter value is ${counter}.`);
    });
  });
});

server.listen(port, hostname, () => {
  console.log(`Server running at http://${hostname}:${port}/`)
})